Announcement

Collapse
No announcement yet.

Upgrade gone wrong :(

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgrade gone wrong :(

    Hmmm, just a moment ago I couldn't type in the message box here. Had to go back and click on New Thread again.

    I upgraded my forums to 3.50...prematurely.

    Was testing an upgrade and new FTP program at same time. Not sure if it was wrong setting or user error, but the upgrade files went to the wrong directory so I had no choice but to upgrade my main forum sooner than I planned.

    When this happened, all attempts to access the forum received an error that I had to finish upgrade immediately. So, I reuploaded all the files and did the upgrade and the forum seemed to be ok. However, there was also a reference to some other file to upload as there could be data corruption. I assume this was because the initial file overwrites occurred when the forum was open. I couldn't find the reference to this file/tool after upgrade was complete and since I had no errors thought all was fine.

    Wrong...am now getting lots of database errors regarding session data. BTW, I also upgraded vBadvanced and vBgallery, both of which were already installed prior to vB 3.5 upgrade.

    Here is error. Please help!

    Code:
    Database error in vBulletin 3.5.0:
    
    Invalid SQL:
    
                                    INSERT INTO vb3petssession
                                            (sessionhash, userid, host, idhash, lastactivity, location, styleid, languageid, loggedin, 
    inforum, inthread, incalendar, badlocation, useragent, bypass)
                                    VALUES
                                            ('2214934a3320c170bb398208b5e51faa', 0, '68.19.18.247', 
    'ee455c4d4005ea2641baafd70fde41a0', 1130520507, '/forums/forumdisplay.php?f=80', 0, 0, 0, 80, 0, 0, 0, 'Mozilla/4.0 
    (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.0.3705; Media Center PC 3.1; .NET CLR 1.1.4322)', 0);
    
    MySQL Error  : Duplicate entry '2214934a3320c170bb398208b5e51faa' for key 1
    Error Number : 1062
    Date         : Friday, October 28th 2005 @ 01:28:27 PM
    Script       : http://www.thepetsforums.com/forums/forumdisplay.php?f=80
    Referrer     :
    IP Address   : 
    Username     : Unregistered
    Classname    : vb_database
    Just ran diagnostics and found that a number of files have version 3.0.7...including sessions.php. Here's a list. Hope you can help.

    Filename Version
    subscriptions.php 3.0.7

    /forums/clientscript
    Filename Version
    vbulletin_editor.js 3.0.7
    vbulletin_quickreply.js 3.0.7
    vbulletin_stdedit.js 3.0.7
    vbulletin_wysiwyg.js 3.0.7

    /forums/includes
    Filename Version
    adminfunctions_ranks.php 3.0.7
    db_mysql.php 3.0.7
    functions_bbcodeparse.php 3.0.7
    functions_image.php 3.0.7
    functions_register.php 3.0.7
    functions_showthread.php 3.0.7
    functions_subscriptions.php 3.0.7
    functions_upload.php 3.0.7
    functions_xml.php 3.0.7
    mail.php 3.0.7
    sessions.php 3.0.7

    /forums/install (files from previous upgrade - can be deleted?)
    Filename Version
    upgrade1.php 3.0.7
    upgrade10.php 3.0.7
    upgrade11.php 3.0.7
    upgrade12.php 3.0.7
    upgrade13.php 3.0.7
    upgrade14.php 3.0.7
    upgrade15.php 3.0.7
    upgrade16.php 3.0.7
    upgrade17.php 3.0.7
    upgrade18.php 3.0.7
    upgrade2.php 3.0.7
    upgrade3.php 3.0.7
    upgrade4.php 3.0.7
    upgrade5.php 3.0.7
    upgrade6.php 3.0.7
    upgrade7.php 3.0.7
    upgrade8.php 3.0.7
    upgrade9.php 3.0.7
    Last edited by carvster; Fri 28 Oct '05, 11:51am.

  • #2
    What error did you get during the upgrade? You can't just ignore these errors and skip that step.
    Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
    Change CKEditor Colors to Match Style (for 4.1.4 and above)

    Steve Machol Photography


    Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


    Comment


    • #3
      I thought I'd lost the error message but I finally found it again. I didn't run the Rebuild Bitfields portion because I couldn't find the error message and all seemed fine. Should I still run that now?

      Here's the error I got:

      vBulletin datastore error caused by one or more of the following:

      You may have uploaded vBulletin 3.5 files without also running the vBulletin 3.5 upgrade script. If you have not run the upgrade script, do so now.

      The datastore cache may have been corrupted. Run Rebuild Bitfields from tools.php, which you can upload from the do_not_upload folder of the vBulletin package.



      Fatal error: vBulletin

      Comment


      • #4
        Yes, run Rebuild Bitfields from tools.php.
        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
        Change CKEditor Colors to Match Style (for 4.1.4 and above)

        Steve Machol Photography


        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


        Comment


        • #5
          There was no Rebuild Bitfields option in tools.php. There was however, update bitfields cache under the Datastore Cache tools. I ran that but the error message continues. When members get the message and hit refresh it usually goes away. I have one person that I know of who can't get in at all, however.

          In MSIE, I notice that the pages sometime load with "Done, but errors on page." Other times they load fine.

          I have vBadvanced installed and have tested it with the portal page defs (which add a right column to the forum pages -- index, displayforum, showthread) and tested with it removed from those pages and still get the errors.

          Could the problem be with some of the files listed in my previous message still showing version 3.0.7? I don't know if any of them are orphan files with the new version or perhaps they weren't upgraded properly?

          Comment


          • #6
            I believe those are all orphaned files. Fill out a support ticket at:

            http://members.vbulletin.com/members...ontactform.php

            Be sure to include the login info to your Admin CP, phpMyAdmin and FTP. Please also include a complete description of the problem.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Steve,

              I think I've found the problem!

              So far no more errors. When I backed out the edits mentioned above for vBadvanced CMPS, I forgot one file edit.

              I removed those edits in addition to the others and it seems to have fixed things. I hope it stays that way.

              I'm sorry to have not caught this earlier and appreciate your taking the time to help me through the problem.

              Comment

              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
              Working...
              X